window.Gleam.initSearch([{"doc":"based_pg","title":"based_pg","content":"# based_pg\n\n[![Package Version](https://img.shields.io/hexpm/v/based_pg)](https://hex.pm/packages/based_pg)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/based_pg/)\n\n## WIP\n\nThis package should be used with [`based`](https://github.com/stndrs/based)\n\n```sh\ngleam add based_pg\n```\n```gleam\nimport based\nimport based_pg\n\nconst sql = &quot;DELETE FROM users WHERE id=$1;&quot;\n\npub fn main() {\n  let config = load_config()\n\n  use db &lt;- based.register(based_pg.with_connection, config)\n\n  based.new_query(sql)\n  |&gt; based.with_args([based.int(1)])\n  |&gt; based.exec(db)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/based_pg&gt;.\n\n## Development\n\n```sh\ndocker-compose up # Starts postgres and adminer in docker containers. Required for running tests\ngleam run         # Run the project\ngleam test        # Run the tests\ngleam shell       # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"based_pg","title":"Config","content":"pub type Config {\n  Config(\n    host: String,\n    port: Int,\n    database: String,\n    username: String,\n    password: String,\n  )\n}\n\nConfig(\n  host: String,\n  port: Int,\n  database: String,\n  username: String,\n  password: String,\n)\n\n\nSynonyms:\nbased_pg.Config\nbased_pg Config","url":"based_pg.html#Config"},{"doc":"based_pg","title":"with_connection","content":"pub fn with_connection(\n  config: Config,\n  callback: fn(DB(a, Connection)) -&gt; b,\n) -&gt; b\n\nSynonyms:\nbased_pg.with_connection\nbased_pg with_connection","url":"based_pg.html#with_connection"},{"doc":"based_pg","title":"based_pg","content":"","url":"based_pg.html"}]);